## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iSoundDriver Struct Reference

This is the interface for the low-level, system-dependent sound driver that is used by the software sound renderer. More...

`#include <isound/driver.h>`

Inheritance diagram for iSoundDriver:

[legend]
List of all members.

## Public Member Functions

virtual void | Close ()=0
| Close the sound render.
virtual int | GetFrequency ()=0
| Get current frequency of driver.
virtual bool | Is16Bits ()=0
| Is the driver in 16 bits mode ?
virtual bool | IsBackground ()=0
| Must the driver be updated manually or does it run in background?
virtual bool | IsHandleVoidSound ()=0
| Is the sound driver able to create silence without locking and writing to the sound memory?
virtual bool | IsStereo ()=0
| Is the driver in stereo mode ?
virtual void | LockMemory (void **mem, int *memsize)=0
| Lock and Get Sound Memory Buffer.
virtual bool | Open (iSoundRender *, int frequency, bool bit16, bool stereo)=0
| Open the sound render.
virtual bool | ThreadAware ()
virtual void | UnlockMemory ()=0
| Unlock Sound Memory Buffer.

## Detailed Description

This is the interface for the low-level, system-dependent sound driver that is used by the software sound renderer.

The sound driver is responsible for playing a single stream of samples.

Definition at line 35 of file driver.h.

## Member Function Documentation

virtual void iSoundDriver::Close | ( |  | ) | `[pure virtual]`

| Close the sound render.

virtual int iSoundDriver::GetFrequency | ( |  | ) | `[pure virtual]`

| Get current frequency of driver.

virtual bool iSoundDriver::Is16Bits | ( |  | ) | `[pure virtual]`

| Is the driver in 16 bits mode ?

virtual bool iSoundDriver::IsBackground | ( |  | ) | `[pure virtual]`

| Must the driver be updated manually or does it run in background?

virtual bool iSoundDriver::IsHandleVoidSound | ( |  | ) | `[pure virtual]`

| Is the sound driver able to create silence without locking and writing to the sound memory?

virtual bool iSoundDriver::IsStereo | ( |  | ) | `[pure virtual]`

| Is the driver in stereo mode ?

virtual void iSoundDriver::LockMemory | ( | void ** | mem,
|  | int * | memsize
| ) | `[pure virtual]`

| Lock and Get Sound Memory Buffer.

virtual bool iSoundDriver::Open | ( | iSoundRender * | ,
|  | int | frequency,
|  | bool | bit16,
|  | bool | stereo
| ) | `[pure virtual]`

| Open the sound render.

virtual void iSoundDriver::UnlockMemory | ( |  | ) | `[pure virtual]`

| Unlock Sound Memory Buffer.

The documentation for this struct was generated from the following file:

- isound/driver.h